Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.dht
Class RangeStreamer.SingleDatacenterFilter

    java.lang.Object
      org.apache.cassandra.dht.RangeStreamer.SingleDatacenterFilter

All Implemented Interfaces:
  RangeStreamer.ISourceFilter

Enclosing class:
  RangeStreamer

    public static class RangeStreamer.SingleDatacenterFilter

extends java.lang.Object
implements RangeStreamer.ISourceFilter

Source filter which excludes any endpoints that are not in a specific data center.

Constructor Summary
`RangeStreamer.SingleDatacenterFilter(IEndpointSnitch snitch, java.lang.String sourceDc)`

Method Summary
`boolean` | `shouldInclude(java.net.InetAddress endpoint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RangeStreamer.SingleDatacenterFilter

    public RangeStreamer.SingleDatacenterFilter(IEndpointSnitch snitch,
                                                java.lang.String sourceDc)

Method Detail

### shouldInclude

    public boolean shouldInclude(java.net.InetAddress endpoint)

  Specified by:
    `shouldInclude` in interface `RangeStreamer.ISourceFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation